Skip to main content
PUT
/
api
/
v1
/
organizations
/
sip_ip_ranges
/
{sip_ip_range_id}
Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";

const syllableSDK = new SyllableSDK({
  apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});

async function run() {
  const result = await syllableSDK.organizations.sipIpRanges.update({
    sipIpRangeId: 165372,
    organizationSipIpRangeUpdate: {
      ipRange: "192.168.1.0/24",
    },
  });

  console.log(result);
}

run();
{
  "ip_range": "192.168.1.0/24",
  "id": 123,
  "organization_id": 123,
  "verified": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.syllable.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Syllable-API-Key
string
header
required

Path Parameters

sip_ip_range_id
integer
required

Body

application/json

The request body for updating a SIP IP range.

type
enum<string> | null

The SIP IP range type

Available options:
signaling,
media
Example:

"signaling"

ip_range

The SIP IP range in CIDR notation

Example:

"192.168.1.0/24"

Response

Successful Response

SIP IP range object.

type
enum<string>
required

The SIP IP range type

Available options:
signaling,
media
Examples:

"signaling"

"media"

ip_range
required

The SIP IP range in CIDR notation

Example:

"192.168.1.0/24"

id
integer
required

The organization SIP IP range ID

organization_id
integer
required

The Organization ID

verified
boolean
required

Whether Syllable has verified this SIP IP range.Verification implies that the Syllable team has updated the firewall rules on the SBCs, confirmed traffic is correctly established from/to the customer network and calls to Syllable agents are working.

created_at
string<date-time> | null

The timestamp when the range was created

updated_at
string<date-time> | null

The timestamp when the range was last updated

deleted_at
string<date-time> | null

The timestamp when the IP was deleted